<div fxLayout="row wrap">
    <div fxFlex.gt-sm="100" fxFlex="100">
        <mat-card>
            <mat-card-content>
                <!-- ============================================================== -->
                <!-- column -->
                <!-- basic-form ============================================================== -->
                <form #editForm="ngForm" [ngClass]="{'was-validated': formValid!==null}" fxLayout="row wrap"
                    fxLayout.xs="column" fxFlexFill fxLayoutGap="20px">
                    <!-- column -->
                    <mat-form-field fxFlex="25" fxFlex.xs="50">
                        <mat-placeholder>Plan</mat-placeholder>
                        <select matNativeControl name="estado" id="estado" #estado="ngModel" [(ngModel)]="item.idPlan">
                            <option *ngFor="let tid of planes" [value]="tid.id">
                                {{tid.nombre}}
                            </option>
                        </select>
                    </mat-form-field>
                    <mat-form-field fxFlex="25" fxFlex.xs="50">
                        <input matInput placeholder="Código" [(ngModel)]="item.codigo" name="codigo" #codigo="ngModel">
                    </mat-form-field>
                    <mat-form-field fxFlex="25" fxFlex.xs="50">
                        <input matInput placeholder="Mensaje" [(ngModel)]="item.mensaje" name="mensaje"
                            #mensaje="ngModel">
                        <mat-hint>Las banderas que puede utilizar son [PORCENTAJE] ó [DESCUENTO]</mat-hint>
                    </mat-form-field>
                    <mat-form-field fxFlex="25" fxFlex.xs="50">
                        <input matInput placeholder="Porciento" [(ngModel)]="item.porciento" name="porciento"
                            #porciento="ngModel" type="number">
                        <mat-hint>El valor debe ser de 0 hasta el 100</mat-hint>
                    </mat-form-field>
                    <mat-form-field fxFlex="25" fxFlex.xs="50">
                        <mat-label>Fecha Inicio</mat-label>
                        <input matInput [matDatepicker]="picker" placeholder="Fecha Inicio"
                            [(ngModel)]="item.fechaInicio" name="fechaInicio" #fechaInicio="ngModel">
                        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                        <mat-datepicker #picker></mat-datepicker>
                    </mat-form-field>
                    <mat-form-field fxFlex="25" fxFlex.xs="50">
                        <mat-label>Fecha Fin</mat-label>
                        <input matInput [matDatepicker]="fechaFinP" placeholder="Fecha Fin" [(ngModel)]="item.fechaFin"
                            name="fechaFin" #fechaFin="ngModel">
                        <mat-datepicker-toggle matSuffix [for]="fechaFinP"></mat-datepicker-toggle>
                        <mat-datepicker #fechaFinP></mat-datepicker>
                    </mat-form-field>
                    <mat-form-field fxFlex="25" fxFlex.xs="50">
                        <mat-placeholder>Estado</mat-placeholder>
                        <select matNativeControl name="estado" id="estado" #estado="ngModel" [(ngModel)]="item.estado">
                            <option value="ACTIVO">
                                ACTIVO
                            </option>
                            <option value="INACTIVO">
                                INACTIVO
                            </option>
                            <option value="FINALIZADO">
                                FINALIZADO
                            </option>
                        </select>
                    </mat-form-field>
                </form>
            </mat-card-content>
        </mat-card>
        <app-toolbar-button>
            <button mat-raised-button color="primary" (click)="save(editForm.valid!, item)">
                <mat-icon>save</mat-icon>Guardar
            </button>
            <button mat-raised-button color="secondary" (click)="goBack()">
                <mat-icon>keyboard_arrow_left</mat-icon>Regresar
            </button>
        </app-toolbar-button>
    </div>
</div>